=== debian/control ===
Source: ros-noetic-rtabmap-demos
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-find-object-2d, ros-noetic-rtabmap-conversions, ros-noetic-rtabmap-msgs, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rtabmap-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-find-object-2d, ros-noetic-hector-mapping, ros-noetic-husky-navigation, ros-noetic-rtabmap-conversions, ros-noetic-rtabmap-costmap-plugins, ros-noetic-rtabmap-launch, ros-noetic-rtabmap-msgs, ros-noetic-rtabmap-odom, ros-noetic-rtabmap-rviz-plugins, ros-noetic-rtabmap-slam, ros-noetic-rtabmap-sync, ros-noetic-rtabmap-util, ros-noetic-rtabmap-viz, ros-noetic-turtlebot3-bringup, ros-noetic-turtlebot3-gazebo, ros-noetic-turtlebot3-navigation, ros-noetic-visualization-msgs
Description: RTAB-Map's demo launch files.
